HPE EVA Storage

SAN - Upgrade to latest versions -

 
SOLVED
Go to solution
Kites BM
Regular Advisor

SAN - Upgrade to latest versions -

We have 1 EVA type HSV100 version 3.028 and 2 brocades version v3.2.0a and switch type: 17.2(dont know what model it is?) Clearly I can
Our Environment is out of date.

Now it is needed that we upgrade this environ and I need to know how can I start building a plan to upgrade these systems to the latest versions( with versions and firmware)

Please let me know the order( which one first servers HBA, EVA version or san switches or ???) for EVA and brocades needs to upgraded

Many thanks,

Kites BM
8 REPLIES 8
Sheldon Smith
HPE Pro

Re: SAN - Upgrade to latest versions -

Wow.

For starters, a Brocade type 17 is a SANswitch 2/16 EL (2Gb, 16 port, Entry Level). Looking at Brocade information on HP's "SPOCK", http://www.hp.com/storage/spock
"These switches have gone End Of Support Life (EOSL) and are no longer supported." I am *guessing* you could *try* loading 3.2.1c on them.
No matter what you do to the switches, they will still be out of date.

The recommended (and minimum) firmware for the EVA3000 is v3.110. I don't have the notes anymore, but I seem to recall: 3.028 to 3.100 to 3.110.

You don't mention what the servers are running. Windows 2000? 2003? If you were to upgrade the EVA3000 to v3.110, it still won't support anything newer than Windows 2003 with either SecurePath or MPIO Basic Failover. And a quick glance at Microsoft's Lifecycle for Win2003, looks like Microsoft's Mainstream Support ends later this year.

You would be better off replacing the SAN and migrating any data. Consider an EVA 4400, with either a pair of small B-series switches or, depending on how many servers you would have, the HP StorageWorks EVA4400 embedded switches.

Also time to consider virtualizing the servers?

Note: While I am an HPE Employee, all of my comments (whether noted or not), are my own and are not any official representation of the company

Accept or Kudo

Kites BM
Regular Advisor

Re: SAN - Upgrade to latest versions -


>>>>The recommended (and minimum) firmware for the EVA3000 is v3.110

-Will HP do this? and is it disruptive or online?

-At present we are running on Win 2000 servers,after EVA upgrade do we need to upgrade the firmware on HBAs as well?

>>>replacing the SAN and migrating any data

replacing the SAN and migrating any data is out of scope now, there are no kits arriving for this client of mine and only solution would be to upgrade all devices in SAN.

I'm looking for a plan, can anyone help me out on this?Please let me know the order( which one first servers HBA, EVA version or san switches or ???) for EVA and brocades needs to upgraded
Kites BM
Regular Advisor

Re: SAN - Upgrade to latest versions -

Bouncing this thread to the top for plan

Please help out on the plan!!!

Any help appreciated

Thanks,
Kites BM
Víctor Cespón
Honored Contributor
Solution

Re: SAN - Upgrade to latest versions -

As stated above, that switch model is currently considered obsolete and does not appear on the compatibility tables. The latest firmware for it is the v3.2.1c.

The EVA can be upgraded from 3.028 to 3.110 directly.

Firmware here:

ftp://ftp.hp.com/pub/softlib/software8/COL19159/co-49829-1/EVA_GL_CONTROLLER_FIRMWARE_v3110.zip

Upgrade guide here:
http://bizsupport1.austin.hp.com/bc/docs/support/SupportManual/c01656193/c01656193.pdf

Release notes here:

http://bizsupport1.austin.hp.com/bc/docs/support/SupportManual/c01052498/c01052498.pdf

Command View 9.2 (install only after updating to VCS 3.110)

http://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=CommandViewEVA9.2

For the servers, check the necessary firmware and drivers on SPOCK.
Kites BM
Regular Advisor

Re: SAN - Upgrade to latest versions -


Thanks Vcespon,

Can you please tell me which one first among (servers HBA, EVA version or san switches or ???)needs to upgraded

Cheers,
Kites BM
Víctor Cespón
Honored Contributor

Re: SAN - Upgrade to latest versions -

1) Switches
2) HBAs on the servers
3) Firmware on the EVA
Kites BM
Regular Advisor

Re: SAN - Upgrade to latest versions -

I've gathered some information from HP and the order they suggest is

1.Upgrade HBA drivers on the serves
2.Switch firmware upgrade
3·EVA controller firmware upgrade

finally CV EVA software to the latest versions.Little confused about the orders here. which order to follow?

I just wnated to clarify

>if the dial-home facility still works when we upgrade to latest Command View EVA Software? If not then can someone please share configuring steps for dialhome?
>can the switches be upgraded directly to v3.2.1c from its existing v3.2.0a?
>at present Command View EVA Software is v6.0.2 build 37, as stated above that CV can be upgraded to 9.2 is this online and non-disruptive?
>Is OS versions still be supported on these newer releases after upgrade is done?

Thanks.
Kites BM
Regular Advisor

Re: SAN - Upgrade to latest versions -

Bouncing to the top